# salt.states.openvswitch_bridge

Management of Open vSwitch bridges.

salt.states.openvswitch_bridge.absent(name)

  Ensures that the named bridge does not exist, eventually deletes it.

  Parameters:

    name -- The name of the bridge.

salt.states.openvswitch_bridge.present(name, parent=None, vlan=None)

  Ensures that the named bridge exists, eventually creates it.

  Parameters:

    - name -- string name of the bridge

    - parent -- string name of the parent bridge (if the bridge shall be created as a fake bridge). If specified, vlan must also be specified.

    - versionadded: (..) -- 3006.0:

    - vlan -- int VLAN ID of the bridge (if the bridge shall be created as a fake bridge). If specified, parent must also be specified.

    - versionadded: -- 3006.0: